import java.io.*;
import java.util.*;


float x = 0;
float y = 0;

float[] distances = new float[5];

String printable_array = "";

void setup() {
  fullScreen();
  background(47,120,31);
  fill(0);
  circle(width/2, height/2, 90);
  textSize(60);
  stroke(255);
  strokeWeight(6);
  text("Scaling: 240 pixels represents 1 foot", 50, 100, width-50, 250);
  line(300, 180, 300, 210);
  line(300, 210, 540, 210);
  line(540, 210, 540, 180);
}

void draw() {
  fill(255);
  
  for (int i = 0; i < 5; i++) {
    float x = random(width/2-500, width/2+500);
    float y = random(height/2-500, height/2+500);
    circle(x, y, 33);
    float distance_from_hole = round((sqrt(sq(width/2 - x) + sq(height/2 - y)) / 20) - 2.25);
    
    if (distance_from_hole <= 0) {
      distance_from_hole = 0;
    }
    
    distances[i] = distance_from_hole;
    text(str(distances[i]) + " in", x-75, y+75);
  }
  
  noLoop();
  
}
